---
search:
  tags:
    - Customers
    - POST
seo:
  description: >-
    Creates a customer group for the shop. Reference for the POST
    /shops/{shop_id}/customer_groups endpoint in the Bolder API v2.
sidebar:
  label: Create a contact group (legacy shop-nested)
  badge: POST
title: Create a contact group (legacy shop-nested)
type: openapi-operation
---
Creates a customer group for the shop.

`POST /shops/{shop_id}/customer_groups`

**cURL**

```bash
curl -s -X POST \
  -H "Authorization: Bearer $BOLDER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"VIP Customers"}' \
  "https://api.onbolder.com/v2/shops/1/customer_groups"
```

**Request body** (`application/json`, required)

- `name` (string, required)
- `cart_requirements_list_id` (integer)
- `price_list_id` (integer)
- `allow_local_pickup` (boolean)
- `allow_shipping` (boolean)

Request body example:

```json
{
  "name": "VIP Customers"
}
```

**Responses**

- `201` — Contact group created
- `422` — Validation error
